
QGIS Application - Bug report #11460

qgis crashes when trying to load hotkeys settings

2014-10-21 09:42 AM - zimirrr leonid

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:2.4.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19736

Description

qgis crashes when trying to load hotkeys settings.

i added hotkeys.xml and dump file from error message

History

#1 - 2014-10-21 09:45 AM - zimirrr leonid

- File qgis_dump.zip added

#2 - 2014-10-30 10:02 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2015-05-21 08:46 AM - Saber Razmjooei

- Status changed from Open to Feedback

Can't reproduce that in 2.8.2

Could you test and report back?

#4 - 2015-05-22 02:05 AM - zimirrr leonid

- File hotkeys_work.xml added

- File qgis-20150522-115717-2020-7712-exported.zip added

qgis 2.8.1

still have same problem

but i did some test on virtual machine, clean windows 7, clean istall of qgis and everything worked fine.

i think something wrong with my global variables or smth, can't figure it out

#5 - 2015-05-22 02:09 AM - Saber Razmjooei

- Status changed from Feedback to Closed

I close the ticket, but feel free to open if you still experience the same problem.

Files
qgis_hotkeys.xml 3.24 KB 2014-10-21 zimirrr leonid

qgis_dump.zip 3.3 MB 2014-10-21 zimirrr leonid

qgis-20150522-115717-2020-7712-exported.zip 3.52 MB 2015-05-22 zimirrr leonid

hotkeys_work.xml 5.73 KB 2015-05-22 zimirrr leonid
